Bug 178649 - unable to stop lvm from checking if there are logical volumes
unable to stop lvm from checking if there are logical volumes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 22:02 EST by jim
Modified: 2014-03-16 22:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 10:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jim 2006-01-22 22:02:36 EST
Description of problem:
unable to stop lvm from checking if there is a logical volumes.  I do not have
logical volumes on my hard drive. but yet there is a lvm check before udev on
every boot up.  to me as well as others, this is a waste of time for it to tell
me what i already know " no logical volumes found" 

Version-Release number of selected component (if applicable):
lvm2-2.01.08-2.1

How reproducible:
every boot up 

Steps to Reproduce:
1. reboot 
2.
3.
  
Actual results:
lvm checks for Logical volumes

Expected results:
if not volumes are created in the beginning, ther eis no need to check for them 

Additional info:

is it possible to just remove the rpm for lvm2  ? or will my system crash and
burn while it runs away.
Comment 1 Heinz Mauelshagen 2006-01-23 04:22:30 EST
It is mandatory to run lvm in initscripts in order to make sure that any volume
groups are discovered or we'ld be in trouble if essential filesystems live on
logical volumes. OTOH we could have an option to intentionally disable that
behaviour there in case the user really wants to.
Changing component to initscripts for clarification.
Comment 2 Bill Nottingham 2006-01-23 10:49:19 EST
Realistically, this won't change - we need to check as mentioned in comment #1.

Note You need to log in before you can comment on or make changes to this bug.